<?xml version="1.0" encoding="ASCII"?>

<!-- oks-data version 2.0 -->


<!DOCTYPE oks-data [
<!ELEMENT oks-data (info, (include)?, (comments)?, (obj)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "extended"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT obj (attr | rel)*>
  <!ATTLIST obj
      class CDATA #REQUIRED
      id CDATA #REQUIRED
  >
  <!ELEMENT attr (#PCDATA)*>
  <!ATTLIST attr
      name CDATA #REQUIRED
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class|-) "-"
      num CDATA "-1"
  >
  <!ELEMENT rel (#PCDATA)*>
  <!ATTLIST rel
      name CDATA #REQUIRED
      num CDATA "-1"
  >
]>

<oks-data>

  <info name="" type="" num-of-items="17" oks-format="extended" oks-version="oks-06-08-03 built &quot;Jan 14 2015&quot;" created-by="dliko" created-on="pcatd84" creation-time="20030414T160243" last-modified-by="mlisovyi" last-modified-on="pc-tbed-pub-99.cern.ch" last-modification-time="20160119T093840"/>


  <include>
   <file path="ftk/segments/FTK-DQMF-DF_checks_AMB.data.xml"/>
   <file path="ftk/segments/FTK-DQMF-DF_checks_AUX.data.xml"/>
    <file path="daq/sw/dqm-default-streams.data.xml"/>
    <file path="daq/schema/dqm.schema.xml"/>
 </include>


<!-- PU Code -->



 <obj class="DQTemplateRegion" id="FTK_PU">
<attr name="IDPattern" type="string">"DF_PU_Towers_{id_tower1}+{id_tower2}"</attr>
    <attr name="Label" type="string">"PU"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
	<attr name="EnabledAt" type="enum">"Always"</attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_FTKDF_PU"</rel>
    <rel name="DQRegions" num="2">
	 "DQTemplateRegion" "FTK_PU1"
     	"DQTemplateRegion" "FTK_PU2"
    </rel>
    <rel name="DQParameters" num="0">
    </rel>
  </obj>


<obj class="DQTemplateRegion" id="FTK_PU_Slice2A">
<attr name="IDPattern" type="string">"DF_PU_{id_tower1}"</attr>
    <attr name="Label" type="string">"PU"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
	<attr name="EnabledAt" type="enum">"Always"</attr>
    <rel name="DQShape">"DQShape" "DF_Alg_FTK"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_FTKDF_PU"</rel>
    <rel name="DQRegions" num="2">
         "DQTemplateRegion" "AUX1"
        "DQTemplateRegion" "AMB1"
    </rel>
    <rel name="DQParameters" num="0">
    </rel>
  </obj>




<obj class="DQTemplateRegion" id="FTK_PU1">
<attr name="IDPattern" type="string">"DF_PU_Tower{id_tower1}"</attr>
    <attr name="Label" type="string">"PU 


	Tower {id_tower1}"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
        <attr name="EnabledAt" type="enum">"Always"</attr>
    <rel name="DQShape">"DQShape" "DF_Alg_FTK"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_FTKDF_PU"</rel>
    <rel name="DQRegions" num="2">
         "DQTemplateRegion" "AUX1"
        "DQTemplateRegion" "AMB1"
    </rel>
    <rel name="DQParameters" num="0">
    </rel>
  </obj>




<obj class="DQTemplateRegion" id="FTK_PU2">
<attr name="IDPattern" type="string">"DF_PU_Tower_{id_tower2}"</attr>
    <attr name="Label" type="string">"PU
 

	Tower {id_tower2}"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
        <attr name="EnabledAt" type="enum">"Always"</attr>
    <rel name="DQShape">""""</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_FTKDF_PU"</rel>
    <rel name="DQRegions" num="2">
         "DQTemplateRegion" "AUX2"
        "DQTemplateRegion" "AMB2"
    </rel>
    <rel name="DQParameters" num="0">
    </rel>
  </obj>




<!-- Aux -->

<obj class="DQTemplateRegion" id="AUX1">
    <attr name="IDPattern" type="string">"AUX_{id_tower1}"</attr>
    <attr name="Label" type="string">"{extra}"</attr>
    <attr name="Instances" type="string" num="1">
      "board=PU,id_extra=, extra=AUX"

    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_Checks_AUX"</rel>
    <rel name="DQParameters" num="22">
      "DQTemplateParameter" "DataFlow_FifoInBusy_AUX1"
      "DQTemplateParameter" "DataFlow_FifoOutBusy_AUX1"
      "DQTemplateParameter" "DataFlow_FifoInEmpty_AUX1"
      "DQTemplateParameter" "DataFlow_FifoOutEmpty_AUX1"
      "DQTemplateParameter" "DataFlow_BusyFraction_AUX1"
      "DQTemplateParameter" "DataFlow_FifoInBusyFraction_AUX1"
      "DQTemplateParameter" "DataFlow_FifoOutBusyFraction_AUX1"
      "DQTemplateParameter" "DataFlow_L1id_AUX1"
      "DQTemplateParameter" "DataFlow_DataErrors_AUX1"
      "DQTemplateParameter" "DataFlow_FpgaTemperature_AUX1"
      "DQTemplateParameter" "DataFlow_EventRate_AUX1"
      "DQTemplateParameter" "DataFlow_LinkInStatus_AUX1"
      "DQTemplateParameter" "DataFlow_LinkOutStatus_AUX1"
      "DQTemplateParameter" "DataFlow_InputSkewSync_AUX1"
      "DQTemplateParameter" "DataFlow_MaxSkewTime_AUX1"
      "DQTemplateParameter" "DataFlow_NPacketsTimedout_AUX1"
      "DQTemplateParameter" "DataFlow_NPacketsDiscarded_AUX1"
      "DQTemplateParameter" "DataFlow_NPacketsDiscardedSync_AUX1"
      "DQTemplateParameter" "DataFlow_NPacketsHeldSync_AUX1"
      "DQTemplateParameter" "DataFlow_NPacketsTimeoutSync_AUX1"
      "DQTemplateParameter" "DataFlow_PacketCompletionTime_AUX1"
      "DQTemplateParameter" "DataFlow_NeventProcessed_AUX1"
  
 </rel>
    <rel name="DQRegions" num="1">
      "DQTemplateRegion" "AUXExpertLevelTests1"
    </rel>
  </obj>


<obj class="DQTemplateRegion" id="AUX2">
    <attr name="IDPattern" type="string">"AUX_{id_tower2}"</attr>
    <attr name="Label" type="string">"{extra}"</attr>
    <attr name="Instances" type="string" num="1">
      "board=PU,id_extra=, extra=AUX"

    </attr>
    <rel name="DQShape">"" ""</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_Checks_AUX"</rel>
    <rel name="DQParameters" num="22">
      "DQTemplateParameter" "DataFlow_FifoInBusy_AUX2"
      "DQTemplateParameter" "DataFlow_FifoOutBusy_AUX2"
      "DQTemplateParameter" "DataFlow_FifoInEmpty_AUX2"
      "DQTemplateParameter" "DataFlow_FifoOutEmpty_AUX2"
      "DQTemplateParameter" "DataFlow_BusyFraction_AUX2"
      "DQTemplateParameter" "DataFlow_FifoInBusyFraction_AUX2"
      "DQTemplateParameter" "DataFlow_FifoOutBusyFraction_AUX2"
      "DQTemplateParameter" "DataFlow_L1id_AUX2"
      "DQTemplateParameter" "DataFlow_DataErrors_AUX2"
      "DQTemplateParameter" "DataFlow_FpgaTemperature_AUX2"
      "DQTemplateParameter" "DataFlow_EventRate_AUX2"
      "DQTemplateParameter" "DataFlow_LinkInStatus_AUX2"
      "DQTemplateParameter" "DataFlow_LinkOutStatus_AUX2"
      "DQTemplateParameter" "DataFlow_InputSkewSync_AUX2"
      "DQTemplateParameter" "DataFlow_MaxSkewTime_AUX2"
      "DQTemplateParameter" "DataFlow_NPacketsTimedout_AUX2"
      "DQTemplateParameter" "DataFlow_NPacketsDiscarded_AUX2"
      "DQTemplateParameter" "DataFlow_NPacketsDiscardedSync_AUX2"
      "DQTemplateParameter" "DataFlow_NPacketsHeldSync_AUX2"
      "DQTemplateParameter" "DataFlow_NPacketsTimeoutSync_AUX2"
      "DQTemplateParameter" "DataFlow_PacketCompletionTime_AUX2"
      "DQTemplateParameter" "DataFlow_NeventProcessed_AUX2"
  
 </rel>
    <rel name="DQRegions" num="1">
      "DQTemplateRegion" "AUXExpertLevelTests2"
    </rel>
  </obj>


<obj class="DQTemplateRegion" id="AUXExpertLevelTests1">
<attr name="IDPattern" type="string">"AUX_Specific_Histograms_{id_tower1}"</attr>
    <attr name="Label" type="string">"AUX Specific Histograms"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <attr name="EnabledAt" type="enum">"Always"</attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>

<rel name="DQParameters" num="5">
      "DQTemplateParameter" "DataFlow_NumOutputTracks_AUX1"
      "DQTemplateParameter" "DataFlow_NRoads_AUX1"
      "DQTemplateParameter" "DataFlow_NFitType_AUX1"
      "DQTemplateParameter" "DataFlow_NTrackType_AUX1"
      "DQTemplateParameter" "DataFlow_FifoOverflow_AUX1"
    </rel>

    <rel name="DQRegions" num="4">
        "DQTemplateRegion" "TfFitCounts1"
        "DQTemplateRegion" "TfRates1"
        "DQTemplateRegion" "TfTracksCounts1"
        "DQTemplateRegion" "TfTrackRates1"
    </rel>
  </obj>

 <obj class="DQTemplateRegion" id="AUXExpertLevelTests2">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_{id_tower2}"</attr>
    <attr name="Label" type="string">"AUX Specific Histograms"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>

<rel name="DQParameters" num="5">
      "DQTemplateParameter" "DataFlow_NumOutputTracks_AUX2"
      "DQTemplateParameter" "DataFlow_NRoads_AUX2"
      "DQTemplateParameter" "DataFlow_NFitType_AUX2"
      "DQTemplateParameter" "DataFlow_NTrackType_AUX2"
      "DQTemplateParameter" "DataFlow_FifoOverflow_AUX1"

    </rel>

    <rel name="DQRegions" num="4">
        "DQTemplateRegion" "TfFitCounts2"
        "DQTemplateRegion" "TfRates2"
        "DQTemplateRegion" "TfTracksCounts2"
        "DQTemplateRegion" "TfTrackRates2"
    </rel>
  </obj>


  <obj class="DQTemplateRegion" id="TfFitCounts1">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Fit_Counts_{id_tower1}"</attr>
    <attr name="Label" type="string">"TF Fit Counts"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQRegions" num="0">
    </rel>
    <rel name="DQParameters" num="2">
    "DQTemplateParameter" "DataFlow_TfFitCount_AUX1"
    "DQTemplateParameter" "DataFlow_FpgaFitCount_AUX1"
    </rel>
</obj>

<obj class="DQTemplateRegion" id="TfFitCounts2">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Fit_Counts_{id_tower2}"</attr>
    <attr name="Label" type="string">"TF Fit Counts"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQRegions" num="0">
    </rel>
    <rel name="DQParameters" num="2">
    "DQTemplateParameter" "DataFlow_TfFitCount_AUX2"
    "DQTemplateParameter" "DataFlow_FpgaFitCount_AUX2"
    </rel>
</obj>

<obj class="DQTemplateRegion" id="TfRates1">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Rates_{id_tower1}"</attr>
    <attr name="Label" type="string">"TF Rates"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQParameters" num="2">
      "DQTemplateParameter" "DataFlow_TfFitRateSum_AUX1"
      "DQTemplateParameter" "DataFlow_FpgaFitRate_AUX1"
    </rel>
    <rel name="DQRegions" num="0">
    </rel>
  </obj>

 <obj class="DQTemplateRegion" id="TfRates2">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Rates_{id_tower2}"</attr>
    <attr name="Label" type="string">"TF Rates"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQParameters" num="2">
      "DQTemplateParameter" "DataFlow_TfFitRateSum_AUX2"
      "DQTemplateParameter" "DataFlow_FpgaFitRate_AUX2"
    </rel>
    <rel name="DQRegions" num="0">
    </rel>
  </obj>


 <obj class="DQTemplateRegion" id="TfTracksCounts1">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Track_Counts_{id_tower1}"</attr>
    <attr name="Label" type="string">"TF Track Counts"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQRegions" num="0">
    </rel>
       <rel name="DQParameters" num="2">
      "DQTemplateParameter" "DataFlow_TfTrackCountSum_AUX1"
      "DQTemplateParameter" "DataFlow_FpgaTrackCount_AUX1"
    </rel>
  </obj>

 <obj class="DQTemplateRegion" id="TfTracksCounts2">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Track_Counts_{id_tower2}"</attr>
    <attr name="Label" type="string">"TF Track Counts"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQRegions" num="0">
    </rel>
       <rel name="DQParameters" num="2">
      "DQTemplateParameter" "DataFlow_TfTrackCountSum_AUX2"
      "DQTemplateParameter" "DataFlow_FpgaTrackCount_AUX2"
    </rel>
  </obj>


 <obj class="DQTemplateRegion" id="TfTrackRates1">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Track_Rates_{id_tower1}"</attr>
    <attr name="Label" type="string">"TF Track Rates"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQRegions" num="0">
    </rel>
    <rel name="DQParameters" num="2">
     "DQTemplateParameter" "DataFlow_TfTrackRateSum_AUX1"
     "DQTemplateParameter" "DataFlow_FpgaTrackRate_AUX1"
    </rel>
  </obj>

 <obj class="DQTemplateRegion" id="TfTrackRates2">
    <attr name="IDPattern" type="string">"AUX_Specific_Histograms_TF_Track_Rates_{id_tower2}"</attr>
    <attr name="Label" type="string">"TF Track Rates"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AUX"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AUX"</rel>
    <rel name="DQRegions" num="0">
    </rel>
    <rel name="DQParameters" num="2">
     "DQTemplateParameter" "DataFlow_TfTrackRateSum_AUX2"
     "DQTemplateParameter" "DataFlow_FpgaTrackRate_AUX2"
    </rel>
  </obj>




<!-- AMB -->
  <obj class="DQTemplateRegion" id="AMB1">
    <attr name="IDPattern" type="string">"AMB_{id_tower1}"</attr>
    <attr name="Label" type="string">"{extra}"</attr>
    <attr name="Instances" type="string" num="1">
      "board=PU,id_extra=, extra=AMB"
    </attr>
    <rel name="DQShape">"" ""</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_Checks_AMB"</rel>
    <rel name="DQParameters" num="10">
      "DQTemplateParameter" "DataFlow_FifoBusyStatus_AMB"
      "DQTemplateParameter" "DataFlow_FifoEmptyStatus_AMB"
      "DQTemplateParameter" "DataFlow_FifoBusyStatusFraction_AMB"
      "DQTemplateParameter" "DataFlow_FifoEmptyStatusFraction_AMB"
      "DQTemplateParameter" "DataFlow_L1id_AMB"
      "DQTemplateParameter" "DataFlow_DataErrors_AMB"
      "DQTemplateParameter" "DataFlow_EventRate_AMB"
      "DQTemplateParameter" "DataFlow_LinkStatus_AMB"
      "DQTemplateParameter" "DataFlow_FpgaTemperature_AMB"
      "DQTemplateParameter" "DataFlow_NEventsProcessed_AMB"
    </rel>
    <rel name="DQRegions" num="1">
      "DQTemplateRegion" "AMBExpertLevelTests"
    </rel>


<!----Add these to AMB  when they are ready to implemented and change the number of DQ parameters
           "DQTemplateParameter" "DataFlow_MaxSkewTime_AMB"
     "DQTemplateParameter" "DataFlow_NPacketsTimedout_AMB"
      "DQTemplateParameter" "DataFlow_NpacketsDiscarded_AMB"
      "DQTemplateParameter" "DataFlow_NpacketsDiscardedSync_AMB"
      "DQTemplateParameter" "DataFlow_NpacketsHeldSync_AMB"
      "DQTemplateParameter" "DataFlow_NpacketsTimeoutSync_AMB"
      "DQTemplateParameter" "DataFlow_PacketCompletionTime_AMB-->



  </obj>
<obj class="DQTemplateRegion" id="AMB2">
    <attr name="IDPattern" type="string">"AMB_{id_tower2}"</attr>
    <attr name="Label" type="string">"{extra}"</attr>
    <attr name="Instances" type="string" num="1">
      "board=PU,id_extra=, extra=AMB"
    </attr>
    <rel name="DQShape">"" ""</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "WorstCaseSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_Checks_AMB"</rel>
    <rel name="DQParameters" num="10">
      "DQTemplateParameter" "DataFlow_FifoBusyStatus_AMB2"
      "DQTemplateParameter" "DataFlow_FifoEmptyStatus_AMB2"
      "DQTemplateParameter" "DataFlow_FifoBusyStatusFraction_AMB2"
      "DQTemplateParameter" "DataFlow_FifoEmptyStatusFraction_AMB2"
      "DQTemplateParameter" "DataFlow_L1id_AMB2"
      "DQTemplateParameter" "DataFlow_DataErrors_AMB2"
      "DQTemplateParameter" "DataFlow_EventRate_AMB2"
      "DQTemplateParameter" "DataFlow_LinkStatus_AMB2"
      "DQTemplateParameter" "DataFlow_FpgaTemperature_AMB2"
      "DQTemplateParameter" "DataFlow_NEventsProcessed_AMB2"
    </rel>
    <rel name="DQRegions" num="1">
      "DQTemplateRegion" "AMBExpertLevelTests2"
    </rel>
  </obj>


<!----Add these to AMB2  when they are ready to implemented and change the number of DQ parameters
      "DQTemplateParameter" "DataFlow_MaxSkewTime_AMB2"
     "DQTemplateParameter" "DataFlow_NPacketsTimedout_AMB2"
      "DQTemplateParameter" "DataFlow_NpacketsDiscarded_AMB2"
      "DQTemplateParameter" "DataFlow_NpacketsDiscardedSync_AMB2"
      "DQTemplateParameter" "DataFlow_NpacketsHeldSync_AMB2"
      "DQTemplateParameter" "DataFlow_NpacketsTimeoutSync_AMB2"
      "DQTemplateParameter" "DataFlow_PacketCompletionTime_AMB2-->


<obj class="DQTemplateRegion" id="AMBExpertLevelTests">
    <attr name="IDPattern" type="string">"AMBExpert_{id_tower1}"</attr>
    <attr name="Label" type="string">"AMB Specific Histograms"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AMB"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AMB"</rel>
    <rel name="DQRegions" num="0">
    </rel>
    <rel name="DQParameters" num="3">
      "DQTemplateParameter" "DataFlow_AmbErrorChecks_AMB"
      "DQTemplateParameter" "DataFlow_AmbFlagChecks_AMB"
      "DQTemplateParameter" "DataFlow_AmbNumberChecks_AMB"
    </rel>
  </obj>

<obj class="DQTemplateRegion" id="AMBExpertLevelTests2">
    <attr name="IDPattern" type="string">"AMBExpert_{id_tower2}"</attr>
    <attr name="Label" type="string">"AMB Specific Histograms"</attr>
    <attr name="Instances" type="string" num="1">
      ""
    </attr>
    <rel name="DQShape">"DQShape" "DF_Alg_AMB"</rel>
    <rel name="DQSummaryMaker">"DQSummaryMaker" "SimpleSummary"</rel>
    <rel name="DQLayout">"DQLayout" "Layout_ExpertChecks_AMB"</rel>
    <rel name="DQRegions" num="0">
    </rel>
    <rel name="DQParameters" num="3">
      "DQTemplateParameter" "DataFlow_AmbErrorChecks_AMB2"
      "DQTemplateParameter" "DataFlow_AmbFlagChecks_AMB2"
      "DQTemplateParameter" "DataFlow_AmbNumberChecks_AMB2"
    </rel>
  </obj>







<!--############################################################
			Layouts
#########################################################-->

  <obj class="DQLayout" id="Layout_FTKDF_PU">
    <attr name="Type" type="enum">"Grid"</attr>
    <attr name="Rows" type="u32">1</attr>
    <attr name="Columns" type="u32">2</attr>
    <attr name="Orientation" type="enum">"Horizontal"</attr>
    <attr name="HSpacing" type="float">0.1</attr>
    <attr name="VSpacing" type="float">0.1</attr>
    <attr name="RowSpacing" type="string">""</attr>
    <attr name="ColumnSpacing" type="string">""</attr>
    <attr name="RowShifts" type="string">""</attr>
    <attr name="ColumnShifts" type="string">""</attr>
    <attr name="HMargins" type="float">0.7</attr>
    <attr name="VMargins" type="float">0.7</attr>
    <attr name="ChildrenGrid" type="string">"
    11
      "</attr>
    <attr name="ChildrenSpan" type="string">""</attr>
    <attr name="RowHeaders" type="string" num="0"></attr>
    <attr name="ColumnHeaders" type="string" num="0"></attr>
    <attr name="Rotation" type="float">0</attr>
    <attr name="Labels" type="string" num="0"></attr>
    <rel name="DefaultChildrenShape">"" ""</rel>
  </obj>



  <obj class="DQShape" id="DF_Alg_PU">
    <attr name="Type" type="enum">"Filler"</attr>
    <attr name="AspectRatio" type="float">1.0</attr>
    <attr name="LengthRatio" type="float">1.0</attr>
</obj>
</oks-data>



  



